/*******************************************************************************
 * Copyright (c) 2007, 2013 Oracle and/or its affiliates. All rights reserved.
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0
 * which accompanies this distribution.
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *     Oracle - initial API and implementation
 *
 ******************************************************************************/
package org.eclipse.persistence.tools.utility.tests.model.value.swing;

import junit.framework.Test;
import junit.framework.TestSuite;

public class UtilityModelValueSwingTests {

	public static Test suite() {
		TestSuite suite = new TestSuite(UtilityModelValueSwingTests.class.getPackage().getName());

		suite.addTestSuite(CheckBoxModelAdapterTests.class);
		suite.addTestSuite(ComboBoxModelAdapterTests.class);
		suite.addTestSuite(DateSpinnerModelAdapterTests.class);
		suite.addTestSuite(DocumentAdapterTests.class);
		suite.addTestSuite(ListModelAdapterTests.class);
		suite.addTestSuite(ListSpinnerModelAdapterTests.class);
		suite.addTestSuite(NumberSpinnerModelAdapterTests.class);
		suite.addTestSuite(ObjectListSelectionModelTests.class);
		suite.addTestSuite(PrimitiveListTreeModelTests.class);
		suite.addTestSuite(RadioButtonModelAdapterTests.class);
		suite.addTestSuite(SpinnerModelAdapterTests.class);
		suite.addTestSuite(TableModelAdapterTests.class);
		suite.addTestSuite(TreeModelAdapterTests.class);

		return suite;
	}

	private UtilityModelValueSwingTests() {
		super();
		throw new UnsupportedOperationException();
	}
}